import { Base, Type } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { Series } from "./Series";
import { SeriesChartTypeGroup } from "./SeriesChartTypeGroup";
import { AxisGroup } from "./AxisGroup";
/**
 * @hidden
 */
export declare class SeriesGroup extends Base {
    static $t: Type;
    private c;
    constructor(a: SeriesChartTypeGroup, b: AxisGroup);
    readonly e: string;
    d: List$1<Series>;
    b: SeriesChartTypeGroup;
    a: AxisGroup;
    toString(): string;
    h(a: Series, b: number, c: number): void;
    g(a: Series): number;
}
